Name:		xastir
Version: 	1.9.8
Release:	%mkrel 4
Summary: 	Amateur Station Tracking and Reporting system for amateur radio
Group:		Communications
License:	GPL
URL: 		http://www.xastir.org
Source0: 	http://prdownloads.sourceforge.net/xastir/xastir-%{version}.tar.gz
Source1:        http://prdownloads.sourceforge.net/xastir/xastir-sounds.tgz
Patch0:		xastir-desktop.diff
BuildRequires:	openmotif-devel
BuildRequires:	shapelib-devel
BuildRequires:	proj-devel
BuildRequires:	geotiff-devel
BuildRequires:	festival-devel
BuildRequires:	db4.8-devel
BuildRequires:	graphicsmagick-devel
Requires:	x11-font-adobe-75dpi

%description
Xastir is a graphical application that interfaces HAM radio
and internet access to realtime mapping software.

Install XASTIR if you are interested in APRS(tm) and HAM radio
software.

%prep
%setup -q
%setup -a1
%patch0 -p 1

%build
./bootstrap.sh

CFLAGS=-I/usr/include/libgeotiff 
%configure 
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

# Docs go into package docs area instead of here:
rm -rf ${RPM_BUILD_ROOT}/usr/share/doc/xastir
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications
cp xastir.desktop ${RPM_BUILD_ROOT}/usr/share/applications/.
cp sounds/* ${RPM_BUILD_ROOT}/usr/share/xastir/sounds/.

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)

# Documents:  Go into special doc area
%doc AUTHORS ChangeLog COPYING COPYING.LIB.LESSTIF DEBUG_LEVELS FAQ INSTALL LICENSE
%doc README README.Contributing README.CVS README.Getting-Started
%doc README.MAPS README.win32 UPGRADE


%{_bindir}/*
%{_datadir}/xastir/help
%{_datadir}/xastir/config
%{_datadir}/xastir/symbols
%{_mandir}/man1/xastir.1.*
%{_mandir}/man1/callpass.1.*
%{_mandir}/man1/testdbfawk.1.*
%{_mandir}/man1/xastir_udp_client.1.*
%{_libdir}/xastir
%{_datadir}/applications/xastir.desktop

# protect user-installed map and other files from being clobbered

%config %{_datadir}/xastir/maps
# %dir %attr(666,root,root) %{_datadir}/xastir/maps/GPS
%config %{_datadir}/xastir/Counties
%config %{_datadir}/xastir/fcc
%config %{_datadir}/xastir/GNIS
%config %{_datadir}/xastir/sounds




%changelog
* Tue Nov 16 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.9.8-4mdv2011.0
+ Revision: 597939
- added Requires: x11-font-adobe-75dpi

* Fri Oct 29 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.9.8-3mdv2011.0
+ Revision: 589898
- added a lot of libs to buildrequires to provide the options

* Thu Oct 28 2010 Jani Välimaa <wally@mandriva.org> 1.9.8-2mdv2011.0
+ Revision: 589837
- fix BRs

  + Thomas Spuhler <tspuhler@mandriva.org>
    - reversed changed %%{_bindir}/ to %%{_bindir}/*
    - changed %%{_bindir}/ to %%{_bindir}/*
    - cleaned up spec file

* Thu Oct 28 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.9.8-1mdv2011.0
+ Revision: 589685
- changed man page compression name from lzma to *
- changed libname to arch
- changed group to Communications
- import xastir

